Correct or update a lease’s parking
PATCH
/api/lease-parking-rights/{id}
const url = 'https://api.getvespy.com/api/lease-parking-rights/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"billingScheduleId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","effectiveEnd":"2026-04-15","effectiveStart":"2026-04-15","location":"example","notes":"example","parkingType":"unreserved","rateBasis":"fixed","rateFrequency":"monthly","ratePerSpaceCents":1,"ratioPer1000Sqft":1,"recurringChargeRuleId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","spaceCount":1,"stallLabels":"example","stallUnitIds":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.getvespy.com/api/lease-parking-rights/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "billingScheduleId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "effectiveEnd": "2026-04-15", "effectiveStart": "2026-04-15", "location": "example", "notes": "example", "parkingType": "unreserved", "rateBasis": "fixed", "rateFrequency": "monthly", "ratePerSpaceCents": 1, "ratioPer1000Sqft": 1, "recurringChargeRuleId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "spaceCount": 1, "stallLabels": "example", "stallUnitIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'Changes only the fields sent. The result must still hold together: a rate per space only with fixed pricing, and at most one linked charge. The linked charge itself is never changed.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
effectiveStart
string format: date
parkingType
string
rateBasis
string
stallUnitIds
Array<string>
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
parkingRight
required
object
createdAt
required
string format: date-time
effectiveStart
required
string format: date
id
required
string format: uuid
leaseId
required
string format: uuid
linkedCharge
required
organizationId
required
string format: uuid
parkingType
required
string
rateBasis
required
string
stallUnitIds
required
Array<string>
stallUnitNumbers
required
Array<string>
updatedAt
required
string format: date-time
Example
{ "parkingRight": { "linkedCharge": { "kind": "billing_schedule" }, "parkingType": "unreserved", "rateBasis": "fixed", "rateFrequency": "monthly" }}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}